> ## Documentation Index
> Fetch the complete documentation index at: https://developer.kyckr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Filing Search

> Retrieving a list of documents/filings available to order for a company. You will need the code field and ISO country code of the registry. Each document/filing has a unique product code, which can then be used in the Product Order call. You will also find the delivery times for each document/filing.



## OpenAPI

````yaml /openapi/company_v1.yaml get /core/filing/search/{countryISO}/{companyCode}
openapi: 3.0.1
info:
  title: Kyckr Companies V1 API
  description: |
    Kyckr Companies V1 API
  version: '1.0'
  contact:
    name: Kyckr APIs
    email: support@kyckr.com
servers:
  - url: https://rest.kyckr.com
    description: Production
  - url: https://rest.kyckr.com/test
    description: Test
security:
  - apiKey: []
tags:
  - name: Account
  - name: Company Profile
  - name: Company Search
  - name: Price
  - name: Registry Documents
  - name: UBO Verify
  - name: Lite
paths:
  /core/filing/search/{countryISO}/{companyCode}:
    parameters:
      - $ref: '#/components/parameters/countryISO'
      - $ref: '#/components/parameters/companyCode'
    get:
      tags:
        - Registry Documents
      summary: Filing Search
      description: >-
        Retrieving a list of documents/filings available to order for a company.
        You will need the code field and ISO country code of the registry. Each
        document/filing has a unique product code, which can then be used in the
        Product Order call. You will also find the delivery times for each
        document/filing.
      operationId: Filing_FilingSearch
      parameters:
        - $ref: '#/components/parameters/regAuth'
        - $ref: '#/components/parameters/continuationKey'
      responses:
        '200':
          $ref: '#/components/responses/FilingSearch'
components:
  parameters:
    countryISO:
      name: countryISO
      description: 2-digit ISO country code
      in: path
      required: true
      schema:
        type: string
      example: IE
    companyCode:
      name: companyCode
      in: path
      required: true
      schema:
        type: string
      description: Retrieved from search results "codeField" attribute
      example: GB12485372
    regAuth:
      name: regAuth
      in: query
      schema:
        type: string
      description: Registration Authority string from search query
      example: ITTO
    continuationKey:
      name: continuationKey
      in: query
      required: false
      schema:
        type: string
  responses:
    FilingSearch:
      description: Example response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FilingSearchResultsList'
          examples:
            Example:
              $ref: '#/components/examples/FilingSearchResultsList'
  schemas:
    FilingSearchResultsList:
      type: object
      properties:
        productsField:
          type: array
          items:
            type: object
            properties:
              idField:
                type: string
              priceTagField:
                type: string
                deprecated: true
              priceField:
                type: string
                deprecated: true
              vatChargeField:
                type: string
                deprecated: true
              currencyField:
                type: string
                deprecated: true
              productCodeField:
                type: string
                deprecated: true
              companyCodeField:
                type: string
              productDetailsField:
                type: array
                items:
                  type: object
                  deprecated: true
                  properties:
                    valueField:
                      type: string
                      deprecated: true
                    documentCountField:
                      type: number
                      deprecated: true
              productFormatField:
                type: string
              productTitleField:
                type: string
              displayDateField:
                type: string
                format: date
              typeField:
                type: string
                deprecated: true
              deliveryTimeMinutesField:
                type: string
              tierCodeField:
                type: string
                deprecated: true
              tierValueField:
                type: string
  examples:
    FilingSearchResultsList:
      value:
        productsField:
          - idField: CROON_Q1JPX0NvbXBhbnlQcm9maWxl_NDM2MDI0
            priceTagField: IE_CRO_CP
            priceField: €0.0
            currencyField: €
            productCodeField: CRO_CompanyProfile
            companyCodeField: '436024'
            productFormatField: PDF
            productTitleField: Company Profile
            PropertyChanged: null
            tierCodeField: A
            tierValueField: '1.00'
  securitySchemes:
    apiKey:
      type: apiKey
      name: Authorization
      in: header

````